# Uses of Class
java.awt.print.PrinterJob

Packages that use PrinterJob
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.

## Uses of PrinterJob in java.awt.print

Methods in java.awt.print that return PrinterJob
Modifier and Type
Method
Description
`PrinterJob`
PrinterGraphics.`getPrinterJob()`
Returns the `PrinterJob` that is controlling the current rendering request.
`static PrinterJob`
PrinterJob.`getPrinterJob()`
Creates and returns a `PrinterJob` which is initially associated with the default printer.